
OBS git handling integration
============================

This tooling is supposed to initialize and manage git repositories used in
Open Build Service (OBS) for building packages or entire projects.

Run obs-git-init to apply the standard helpers 
and policies. These are currently:

 * .changes merge tool (avoids merge conflicts)

 * LFS file definitions

 * gitignore rules

The tool can be used in an empty directory to initialize a new
package or to update an existing git repository with current rules.

Download
========

This code is packaged in openSUSE:Tools project of OBS:

  https://download.opensuse.org/repositories/openSUSE:/Tools/

TODO
====

 * add git submodule merge handler

 * OBS classic revision conversation based on osc checkout

